CMSIS-NN: arm_avgpool_s16.c File Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Functions
arm_avgpool_s16.c File Reference

## Functions

arm_status | arm_avgpool_s16 (const cmsis_nn_context *ctx, const cmsis_nn_pool_params *pool_params, const cmsis_nn_dims *input_dims, const q15_t *src, const cmsis_nn_dims *filter_dims, const cmsis_nn_dims *output_dims, q15_t *dst)
int32_t | arm_avgpool_s16_get_buffer_size (const int output_x, const int ch_src)
| Get the required buffer size for S16 average pooling function. More...